Bug 303670 - Disable the SHA1 indexer in nepomukindexer
Summary: Disable the SHA1 indexer in nepomukindexer
Status: RESOLVED FIXED
Alias: None
Product: nepomuk
Classification: Unclassified
Component: fileindexer (show other bugs)
Version: git master
Platform: unspecified Linux
: NOR task (vote)
Target Milestone: ---
Assignee: Nepomuk Bugs Coordination
URL: https://git.reviewboard.kde.org/r/105...
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-17 10:28 UTC by Vishesh Handa
Modified: 2012-08-21 03:54 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.10


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vishesh Handa 2012-07-17 10:28:54 UTC
Strigi provides a SHA1 indexer which is enabled by default.

Find a way to disable it when indexing files. You'll need to look into the strigi documentation to find a way to blacklist certain indexers. I know it can be done.

Relevant code: nepomuk-core/services/fileindexer/indexer/* 

It might even be nice to provide a hidden config option to enable it. Or maybe even a proper option in the KCM under advanced.
Comment 1 Simeon Bird 2012-08-16 04:29:01 UTC
This was fixed by commit c337d7353c52a20147773d3b6403a904a870feb0, but although I managed t use the BUG keyword right this time, I don't have the permissions to close the bug.
Comment 2 Jekyll Wu 2012-08-16 04:42:11 UTC
(In reply to comment #1)
> This was fixed by commit c337d7353c52a20147773d3b6403a904a870feb0, but
> although I managed t use the BUG keyword right this time, I don't have the
> permissions to close the bug.

You should contact sysadmins to get that permission. Normally, you should have been granted that permission after you get your developer account.
Comment 3 Simeon Bird 2012-08-21 03:54:51 UTC
Git commit 22f2bca6b7e1f969cf3614244e7621b45f38439b by Simeon Bird.
Committed on 11/08/2012 at 23:57.
Pushed by sbird into branch 'KDE/4.9'.

Add the --skip option introduced in the last commit to
the invocation of nepomukindexer from the file indexing service.

Add a configurable option "exclude plugins" (which defaults to the
SHA1 plugin DigestEventAnalyzer) to allow generic plugins to be excluded.
REVIEW: 105986
FIXED-IN: 4.10

M  +11   -0    services/fileindexer/fileindexerconfig.cpp
M  +5    -0    services/fileindexer/fileindexerconfig.h
M  +7    -1    services/fileindexer/nepomukindexer.cpp

http://commits.kde.org/nepomuk-core/22f2bca6b7e1f969cf3614244e7621b45f38439b